#!/usr/bin/env python3

from gi.repository import Adw

class ComipolNextDialog(Adw.MessageDialog):
    def __init__(self, text, prev):
        Adw.MessageDialog.__init__(self, heading_use_markup=True, body_use_markup=True, modal=True)
        # Buttons
        self.add_response('close', '_Cancel (ESC)')
        self.add_response('next', '_Next (Enter)')
        if prev:
            self.add_response('prev', '_Prev (Alt+P)')
        self.set_default_response('next')
        # Message
        self.props.heading = 'Comipoli'
        self.props.body = f'<span bgcolor="#CC0099">Next:</span> {text}'
        # var
        self.cbzs = None
        self.next_index = 0

